List the user's balance journal, newest first.
curl --request GET \
--url https://api.symbiosis.markets/custody/get-ledger \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/custody/get-ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/custody/get-ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"account": "available",
"created_at": "2023-11-07T05:31:56Z",
"delta": "<string>",
"entry_id": 123,
"reason": "deposit",
"ref_id": "<string>",
"asset_id": "<string>",
"venue": "polymarket"
}
],
"next_cursor": "<string>"
}Custody
List the user's balance journal, newest first.
GET
/
custody
/
get-ledger
List the user's balance journal, newest first.
curl --request GET \
--url https://api.symbiosis.markets/custody/get-ledger \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/custody/get-ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/custody/get-ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"account": "available",
"created_at": "2023-11-07T05:31:56Z",
"delta": "<string>",
"entry_id": 123,
"reason": "deposit",
"ref_id": "<string>",
"asset_id": "<string>",
"venue": "polymarket"
}
],
"next_cursor": "<string>"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Query Parameters
Only entries on this sub-account.
Available options:
available, pending Only entries against this market asset.
Only credits, or only debits.
Available options:
credit, debit Only entries at or after this instant.
The last cursor, emitted by the previous response.
The maximum number of items to return.
Required range:
x >= 0Maximum absolute delta, in native token units, as a decimal string.
Minimum absolute delta, in native token units, as a decimal string.
Comma-separated list of reasons
Only entries at or before this instant.
true keeps only USDC entries; false keeps only market-asset entries.